<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/CalorimeterHitCollection.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CalorimeterHitCollection.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_calorimeter_hit_collection_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_CalorimeterHitCollection_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_CalorimeterHitCollection_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// datamodel specific includes</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_calorimeter_hit_data_8h.html">eicd/CalorimeterHitData.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_calorimeter_hit_8h.html">eicd/CalorimeterHit.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_calorimeter_hit_obj_8h.html">eicd/CalorimeterHitObj.h</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// podio specific includes</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;podio/ICollectionProvider.h&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;podio/CollectionBase.h&quot;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &quot;podio/CollectionIDTable.h&quot;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;deque&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;algorithm&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="namespaceeic.html#acf5c8bc4445343ee1c13d15680474649">   26</a></span>&#160;<span class="keyword">using</span> <a class="code" href="namespaceeic.html#acf5c8bc4445343ee1c13d15680474649">CalorimeterHitDataContainer</a> = std::vector&lt;CalorimeterHitData&gt;;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="namespaceeic.html#a5aab4315e3780fc095ff5aa85c2e3320">   27</a></span>&#160;<span class="keyword">using</span> <a class="code" href="namespaceeic.html#a5aab4315e3780fc095ff5aa85c2e3320">CalorimeterHitObjPointerContainer</a> = std::deque&lt;CalorimeterHitObj*&gt;;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection_iterator.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html">CalorimeterHitCollectionIterator</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection_iterator.html#a166a11b5096d7aa1b163691cde8bd2f4">   31</a></span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html#a166a11b5096d7aa1b163691cde8bd2f4">CalorimeterHitCollectionIterator</a>(<span class="keywordtype">int</span> index, <span class="keyword">const</span> <a class="code" href="namespaceeic.html#a5aab4315e3780fc095ff5aa85c2e3320">CalorimeterHitObjPointerContainer</a>* collection) : m_index(index), m_object(nullptr), m_collection(collection) {}</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection_iterator.html#ac7d7f17a379617d363e788363cc7249a">   33</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html#ac7d7f17a379617d363e788363cc7249a">operator!=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html">CalorimeterHitCollectionIterator</a>&amp; x)<span class="keyword"> const </span>{</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordflow">return</span> m_index != x.m_index; <span class="comment">// TODO: may not be complete</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  }</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  <span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html#aa80c97ffaf5457fa85dcb8e41ddb1708">operator*</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a>* <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html#ae001b82e150d39e301ef5f18a2d8b33f">operator-&gt;</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html">CalorimeterHitCollectionIterator</a>&amp; <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html#a67f3679349825a06cb41333dcaa47b6e">operator++</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <span class="keyword">mutable</span> <span class="keywordtype">int</span> m_index;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;  <span class="keyword">mutable</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> m_object;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <span class="keyword">const</span> <a class="code" href="namespaceeic.html#a5aab4315e3780fc095ff5aa85c2e3320">CalorimeterHitObjPointerContainer</a>* m_collection;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;};</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html">   50</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_calorimeter_hit_collection.html">CalorimeterHitCollection</a> : <span class="keyword">public</span> podio::CollectionBase {</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a33e8d875f2af8066ddad67c3dba93ead">   53</a></span>&#160;  <span class="keyword">using</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html">const_iterator</a> = <span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html#a166a11b5096d7aa1b163691cde8bd2f4">CalorimeterHitCollectionIterator</a>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit_collection.html">CalorimeterHitCollection</a>();</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="comment">//  CalorimeterHitCollection(const CalorimeterHitCollection&amp; ) = delete; // deletion doesn&#39;t work w/ ROOT IO ! :-(</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="comment">//  CalorimeterHitCollection(CalorimeterHitVector* data, int collectionID);</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  ~<a class="code" href="classeic_1_1_calorimeter_hit_collection.html">CalorimeterHitCollection</a>();</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <span class="keywordtype">void</span> clear() override final;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a6d0b1ae72a53ae6e4dcdffa0947bff2f">   63</a></span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit_collection.html">CalorimeterHitCollection</a>* operator-&gt;() { <span class="keywordflow">return</span> (<a class="code" href="classeic_1_1_calorimeter_hit_collection.html">CalorimeterHitCollection</a>*) <span class="keyword">this</span>; }</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> create();</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keyword">template</span>&lt;<span class="keyword">typename</span>... Args&gt;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> create(Args&amp;&amp;... args);</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keywordtype">size_t</span> size() <span class="keyword">const</span> <span class="keyword">override</span> <span class="keyword">final</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a39d1a5b9c5a48152b18a04213c11b6fb">   77</a></span>&#160;  std::string <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a39d1a5b9c5a48152b18a04213c11b6fb">getValueTypeName</a>()<span class="keyword"> const override </span>{ <span class="keywordflow">return</span> std::string(<span class="stringliteral">&quot;eic::CalorimeterHit&quot;</span>); }</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> operator[](<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) <span class="keyword">const</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> operator[](<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> at(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) <span class="keyword">const</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> at(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index);</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  <span class="keywordtype">void</span> push_back(<a class="code" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> <span class="keywordtype">object</span>);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <span class="keywordtype">void</span> prepareForWrite() <span class="keyword">override</span> <span class="keyword">final</span>;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keywordtype">void</span> prepareAfterRead() <span class="keyword">override</span> <span class="keyword">final</span>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordtype">void</span> setBuffer(<span class="keywordtype">void</span>* address) <span class="keyword">override</span> <span class="keyword">final</span>;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keywordtype">bool</span> setReferences(<span class="keyword">const</span> podio::ICollectionProvider* collectionProvider) <span class="keyword">override</span> <span class="keyword">final</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#ab5c2b765e784992821f1a9bc393bbdfe">   97</a></span>&#160;  podio::CollRefCollection* <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#ab5c2b765e784992821f1a9bc393bbdfe">referenceCollections</a>() override final { <span class="keywordflow">return</span> &amp;m_refCollections; }</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#afcc5d9c95c763f5d0a7846684baac4ae">   99</a></span>&#160;  podio::VectorMembersInfo* <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#afcc5d9c95c763f5d0a7846684baac4ae">vectorMembers</a>()<span class="keyword"> override </span>{ <span class="keywordflow">return</span> &amp;m_vecmem_info; }</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#adde9b6420026be46ea3c9133e9691c25">  101</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#adde9b6420026be46ea3c9133e9691c25">setID</a>(<span class="keywordtype">unsigned</span> ID) <span class="keyword">override</span> <span class="keyword">final</span> {</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    m_collectionID = ID;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    std::for_each(m_entries.begin(),m_entries.end(),</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;                  [ID] (<a class="code" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a>* obj) { obj-&gt;id = {obj-&gt;id.index, <span class="keyword">static_cast&lt;</span><span class="keywordtype">int</span><span class="keyword">&gt;</span>(ID)}; }</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    );</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  };</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a3bbc1d7d2477c8ceee38a1ade73a7a3c">  108</a></span>&#160;  <span class="keywordtype">unsigned</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a3bbc1d7d2477c8ceee38a1ade73a7a3c">getID</a>() const override final {</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keywordflow">return</span> m_collectionID;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;  }</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a2558274f878e397d6e3ed87978df4ade">  112</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a2558274f878e397d6e3ed87978df4ade">isValid</a>() const override final {</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keywordflow">return</span> m_isValid;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  }</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  <span class="comment">// support for the iterator protocol</span></div><div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#aab7cfeb8b4066ea2085c4f158121b3f0">  117</a></span>&#160;  <span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html">const_iterator</a> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#aab7cfeb8b4066ea2085c4f158121b3f0">begin</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html">const_iterator</a>(0, &amp;m_entries);</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  }</div><div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a70691ae8704a6387089372e2b5acaf4b">  120</a></span>&#160;  <span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html">const_iterator</a> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a70691ae8704a6387089372e2b5acaf4b">end</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection_iterator.html">const_iterator</a>(m_entries.size(), &amp;m_entries);</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  }</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#af68529a9c2d4706567476b26e35eab69">  125</a></span>&#160;  <span class="keywordtype">void</span>* <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#af68529a9c2d4706567476b26e35eab69">getBufferAddress</a>() override final { <span class="keywordflow">return</span> (<span class="keywordtype">void</span>*)&amp;m_data; }</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a6e225a1dc159d2e1849db46174dde0b0">  128</a></span>&#160;  std::vector&lt;CalorimeterHitData&gt;* <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a6e225a1dc159d2e1849db46174dde0b0">_getBuffer</a>() { <span class="keywordflow">return</span> m_data; }</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;  <span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  <span class="keyword">const</span> std::array&lt;long long, arraysize&gt; cellID0() <span class="keyword">const</span>;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;  <span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;  <span class="keyword">const</span> std::array&lt;long long, arraysize&gt; cellID1() <span class="keyword">const</span>;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;  <span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;  <span class="keyword">const</span> std::array&lt;float, arraysize&gt; energy() <span class="keyword">const</span>;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;  <span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;  <span class="keyword">const</span> std::array&lt;float, arraysize&gt; time() <span class="keyword">const</span>;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  <span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;  <span class="keyword">const</span> std::array&lt;eic::VectorXYZ, arraysize&gt; position() <span class="keyword">const</span>;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;  <span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;  <span class="keyword">const</span> std::array&lt;int, arraysize&gt; type() <span class="keyword">const</span>;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;  <span class="keywordtype">bool</span> m_isValid;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;  <span class="keywordtype">int</span> m_collectionID;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;  <a class="code" href="namespaceeic.html#a5aab4315e3780fc095ff5aa85c2e3320">CalorimeterHitObjPointerContainer</a> m_entries;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;  <span class="comment">// members to handle 1-to-N-relations</span></div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;  std::vector&lt;eic::ConstRawCalorimeterHit&gt;* m_rel_rawHit; </div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;  <span class="comment">// members to handle vector members</span></div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;  <span class="comment">// members to handle streaming</span></div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;  podio::CollRefCollection m_refCollections;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;  podio::VectorMembersInfo m_vecmem_info;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;  <a class="code" href="namespaceeic.html#acf5c8bc4445343ee1c13d15680474649">CalorimeterHitDataContainer</a>* m_data;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;};</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html">CalorimeterHitCollection</a>&amp; v);</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span>... Args&gt;</div><div class="line"><a name="l00161"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a7bfd32e9edbdd3044922bfd21f06c377">  161</a></span>&#160;<a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a64d87cf5a7c70eb2f163cc41c8bdaf0f">CalorimeterHitCollection::create</a>(Args&amp;&amp;... args) {</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span> size = m_entries.size();</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;  <span class="keyword">auto</span> obj = <span class="keyword">new</span> <a class="code" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a>({size, m_collectionID}, {args...});</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;  m_entries.push_back(obj);</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a>(obj);</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;}</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;<span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00169"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a95b3cb5126be3e6f4525cb717a16ff76">  169</a></span>&#160;<span class="keyword">const</span> std::array&lt;long long, arraysize&gt; <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a95b3cb5126be3e6f4525cb717a16ff76">CalorimeterHitCollection::cellID0</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;  std::array&lt;long long, arraysize&gt; tmp;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> valid_size = std::min(arraysize, m_entries.size());</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; valid_size; ++i) {</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    tmp[i] = m_entries[i]-&gt;data.cellID0;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;  }</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;  <span class="keywordflow">return</span> tmp;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;}</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;<span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00179"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#abbe1afa7420e77bedb5fc43636919189">  179</a></span>&#160;<span class="keyword">const</span> std::array&lt;long long, arraysize&gt; <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#abbe1afa7420e77bedb5fc43636919189">CalorimeterHitCollection::cellID1</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;  std::array&lt;long long, arraysize&gt; tmp;</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> valid_size = std::min(arraysize, m_entries.size());</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; valid_size; ++i) {</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    tmp[i] = m_entries[i]-&gt;data.cellID1;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;  }</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;  <span class="keywordflow">return</span> tmp;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;}</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00189"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#acba4fccde8ae078e17e6abb9b591e1cc">  189</a></span>&#160;<span class="keyword">const</span> std::array&lt;float, arraysize&gt; <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#acba4fccde8ae078e17e6abb9b591e1cc">CalorimeterHitCollection::energy</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;  std::array&lt;float, arraysize&gt; tmp;</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> valid_size = std::min(arraysize, m_entries.size());</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; valid_size; ++i) {</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    tmp[i] = m_entries[i]-&gt;data.energy;</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;  }</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;  <span class="keywordflow">return</span> tmp;</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;}</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;<span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00199"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a655ab9a0efc97a300021678f0728460d">  199</a></span>&#160;<span class="keyword">const</span> std::array&lt;float, arraysize&gt; <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a655ab9a0efc97a300021678f0728460d">CalorimeterHitCollection::time</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;  std::array&lt;float, arraysize&gt; tmp;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> valid_size = std::min(arraysize, m_entries.size());</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; valid_size; ++i) {</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;    tmp[i] = m_entries[i]-&gt;data.time;</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;  }</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;  <span class="keywordflow">return</span> tmp;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;}</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;<span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00209"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a1da0eadb1635926dd850a1d295dc27db">  209</a></span>&#160;<span class="keyword">const</span> std::array&lt;eic::VectorXYZ, arraysize&gt; <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a1da0eadb1635926dd850a1d295dc27db">CalorimeterHitCollection::position</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;  std::array&lt;eic::VectorXYZ, arraysize&gt; tmp;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> valid_size = std::min(arraysize, m_entries.size());</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; valid_size; ++i) {</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;    tmp[i] = m_entries[i]-&gt;data.position;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;  }</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;  <span class="keywordflow">return</span> tmp;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;}</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;<span class="keyword">template</span>&lt;<span class="keywordtype">size_t</span> arraysize&gt;</div><div class="line"><a name="l00219"></a><span class="lineno"><a class="line" href="classeic_1_1_calorimeter_hit_collection.html#a8cdaccbd8ef7d83dd6e437ce07bf6e79">  219</a></span>&#160;<span class="keyword">const</span> std::array&lt;int, arraysize&gt; <a class="code" href="classeic_1_1_calorimeter_hit_collection.html#a8cdaccbd8ef7d83dd6e437ce07bf6e79">CalorimeterHitCollection::type</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;  std::array&lt;int, arraysize&gt; tmp;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> valid_size = std::min(arraysize, m_entries.size());</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; valid_size; ++i) {</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    tmp[i] = m_entries[i]-&gt;data.type;</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;  }</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;  <span class="keywordflow">return</span> tmp;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;}</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="namespaceeic_html_acf5c8bc4445343ee1c13d15680474649"><div class="ttname"><a href="namespaceeic.html#acf5c8bc4445343ee1c13d15680474649">eic::CalorimeterHitDataContainer</a></div><div class="ttdeci">std::vector&lt; CalorimeterHitData &gt; CalorimeterHitDataContainer</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00026">CalorimeterHitCollection.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_abbe1afa7420e77bedb5fc43636919189"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#abbe1afa7420e77bedb5fc43636919189">eic::CalorimeterHitCollection::cellID1</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; cellID1() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00179">CalorimeterHitCollection.h:179</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a64d87cf5a7c70eb2f163cc41c8bdaf0f"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a64d87cf5a7c70eb2f163cc41c8bdaf0f">eic::CalorimeterHitCollection::create</a></div><div class="ttdeci">CalorimeterHit create()</div><div class="ttdoc">Append a new object to the collection, and return this object. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00048">CalorimeterHitCollection.cc:48</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8h_source.html#l00029">CalorimeterHitConst.h:29</a></div></div>
<div class="ttc" id="_calorimeter_hit_8h_html"><div class="ttname"><a href="_calorimeter_hit_8h.html">CalorimeterHit.h</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_iterator_html_a166a11b5096d7aa1b163691cde8bd2f4"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection_iterator.html#a166a11b5096d7aa1b163691cde8bd2f4">eic::CalorimeterHitCollectionIterator::CalorimeterHitCollectionIterator</a></div><div class="ttdeci">CalorimeterHitCollectionIterator(int index, const CalorimeterHitObjPointerContainer *collection)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00031">CalorimeterHitCollection.h:31</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit.html">eic::CalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8h_source.html#l00031">CalorimeterHit.h:31</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a39d1a5b9c5a48152b18a04213c11b6fb"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a39d1a5b9c5a48152b18a04213c11b6fb">eic::CalorimeterHitCollection::getValueTypeName</a></div><div class="ttdeci">std::string getValueTypeName() const override</div><div class="ttdoc">fully qualified type name of elements - with namespace </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00077">CalorimeterHitCollection.h:77</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a95b3cb5126be3e6f4525cb717a16ff76"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a95b3cb5126be3e6f4525cb717a16ff76">eic::CalorimeterHitCollection::cellID0</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; cellID0() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00169">CalorimeterHitCollection.h:169</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a3bbc1d7d2477c8ceee38a1ade73a7a3c"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a3bbc1d7d2477c8ceee38a1ade73a7a3c">eic::CalorimeterHitCollection::getID</a></div><div class="ttdeci">unsigned getID() const override final</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00108">CalorimeterHitCollection.h:108</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_adde9b6420026be46ea3c9133e9691c25"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#adde9b6420026be46ea3c9133e9691c25">eic::CalorimeterHitCollection::setID</a></div><div class="ttdeci">void setID(unsigned ID) override final</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00101">CalorimeterHitCollection.h:101</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a70691ae8704a6387089372e2b5acaf4b"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a70691ae8704a6387089372e2b5acaf4b">eic::CalorimeterHitCollection::end</a></div><div class="ttdeci">const const_iterator end() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00120">CalorimeterHitCollection.h:120</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_aab7cfeb8b4066ea2085c4f158121b3f0"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#aab7cfeb8b4066ea2085c4f158121b3f0">eic::CalorimeterHitCollection::begin</a></div><div class="ttdeci">const const_iterator begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00117">CalorimeterHitCollection.h:117</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_iterator_html_ac7d7f17a379617d363e788363cc7249a"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection_iterator.html#ac7d7f17a379617d363e788363cc7249a">eic::CalorimeterHitCollectionIterator::operator!=</a></div><div class="ttdeci">bool operator!=(const CalorimeterHitCollectionIterator &amp;x) const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00033">CalorimeterHitCollection.h:33</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a6e225a1dc159d2e1849db46174dde0b0"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a6e225a1dc159d2e1849db46174dde0b0">eic::CalorimeterHitCollection::_getBuffer</a></div><div class="ttdeci">std::vector&lt; CalorimeterHitData &gt; * _getBuffer()</div><div class="ttdoc">Returns the pointer to the data buffer. </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00128">CalorimeterHitCollection.h:128</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection_iterator.html">eic::CalorimeterHitCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00029">CalorimeterHitCollection.h:29</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_af68529a9c2d4706567476b26e35eab69"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#af68529a9c2d4706567476b26e35eab69">eic::CalorimeterHitCollection::getBufferAddress</a></div><div class="ttdeci">void * getBufferAddress() override final</div><div class="ttdoc">returns the address of the pointer to the data buffer </div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00125">CalorimeterHitCollection.h:125</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_iterator_html_aa80c97ffaf5457fa85dcb8e41ddb1708"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection_iterator.html#aa80c97ffaf5457fa85dcb8e41ddb1708">eic::CalorimeterHitCollectionIterator::operator*</a></div><div class="ttdeci">const CalorimeterHit operator*() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00127">CalorimeterHitCollection.cc:127</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html">eic::CalorimeterHitCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00050">CalorimeterHitCollection.h:50</a></div></div>
<div class="ttc" id="_calorimeter_hit_data_8h_html"><div class="ttname"><a href="_calorimeter_hit_data_8h.html">CalorimeterHitData.h</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_obj_html"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_obj.html">eic::CalorimeterHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_obj_8h_source.html#l00022">CalorimeterHitObj.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a1da0eadb1635926dd850a1d295dc27db"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a1da0eadb1635926dd850a1d295dc27db">eic::CalorimeterHitCollection::position</a></div><div class="ttdeci">const std::array&lt; eic::VectorXYZ, arraysize &gt; position() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00209">CalorimeterHitCollection.h:209</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_iterator_html_ae001b82e150d39e301ef5f18a2d8b33f"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection_iterator.html#ae001b82e150d39e301ef5f18a2d8b33f">eic::CalorimeterHitCollectionIterator::operator-&gt;</a></div><div class="ttdeci">const CalorimeterHit * operator-&gt;() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00132">CalorimeterHitCollection.cc:132</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a2558274f878e397d6e3ed87978df4ade"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a2558274f878e397d6e3ed87978df4ade">eic::CalorimeterHitCollection::isValid</a></div><div class="ttdeci">bool isValid() const override final</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00112">CalorimeterHitCollection.h:112</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_afcc5d9c95c763f5d0a7846684baac4ae"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#afcc5d9c95c763f5d0a7846684baac4ae">eic::CalorimeterHitCollection::vectorMembers</a></div><div class="ttdeci">podio::VectorMembersInfo * vectorMembers() override</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00099">CalorimeterHitCollection.h:99</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_acba4fccde8ae078e17e6abb9b591e1cc"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#acba4fccde8ae078e17e6abb9b591e1cc">eic::CalorimeterHitCollection::energy</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; energy() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00189">CalorimeterHitCollection.h:189</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_ab5c2b765e784992821f1a9bc393bbdfe"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#ab5c2b765e784992821f1a9bc393bbdfe">eic::CalorimeterHitCollection::referenceCollections</a></div><div class="ttdeci">podio::CollRefCollection * referenceCollections() override final</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00097">CalorimeterHitCollection.h:97</a></div></div>
<div class="ttc" id="_calorimeter_hit_obj_8h_html"><div class="ttname"><a href="_calorimeter_hit_obj_8h.html">CalorimeterHitObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a655ab9a0efc97a300021678f0728460d"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a655ab9a0efc97a300021678f0728460d">eic::CalorimeterHitCollection::time</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; time() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00199">CalorimeterHitCollection.h:199</a></div></div>
<div class="ttc" id="namespaceeic_html_a5aab4315e3780fc095ff5aa85c2e3320"><div class="ttname"><a href="namespaceeic.html#a5aab4315e3780fc095ff5aa85c2e3320">eic::CalorimeterHitObjPointerContainer</a></div><div class="ttdeci">std::deque&lt; CalorimeterHitObj * &gt; CalorimeterHitObjPointerContainer</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00027">CalorimeterHitCollection.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_html_a8cdaccbd8ef7d83dd6e437ce07bf6e79"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection.html#a8cdaccbd8ef7d83dd6e437ce07bf6e79">eic::CalorimeterHitCollection::type</a></div><div class="ttdeci">const std::array&lt; int, arraysize &gt; type() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8h_source.html#l00219">CalorimeterHitCollection.h:219</a></div></div>
<div class="ttc" id="classeic_1_1_calorimeter_hit_collection_iterator_html_a67f3679349825a06cb41333dcaa47b6e"><div class="ttname"><a href="classeic_1_1_calorimeter_hit_collection_iterator.html#a67f3679349825a06cb41333dcaa47b6e">eic::CalorimeterHitCollectionIterator::operator++</a></div><div class="ttdeci">const CalorimeterHitCollectionIterator &amp; operator++() const</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_collection_8cc_source.html#l00137">CalorimeterHitCollection.cc:137</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
